Skip to main content
GET
/
check-comment
Comment Status Check
curl --request GET \
  --url https://api.sorsa.io/v3/check-comment \
  --header 'ApiKey: <api-key>'
{
  "commented": true,
  "tweet": {
    "bookmark_count": 123,
    "conversation_id_str": "<string>",
    "created_at": "<string>",
    "entities": [
      {
        "link": "<string>",
        "preview": "<string>",
        "type": "<string>"
      }
    ],
    "full_text": "<string>",
    "id": "<string>",
    "in_reply_to_tweet_id": "<string>",
    "in_reply_to_username": "<string>",
    "is_quote_status": true,
    "is_replies_limited": true,
    "is_reply": true,
    "lang": "<string>",
    "likes_count": 123,
    "quote_count": 123,
    "quoted_status": "<unknown>",
    "reply_count": 123,
    "retweet_count": 123,
    "retweeted_status": "<unknown>",
    "user": {
      "bio_urls": [
        "<string>"
      ],
      "can_dm": true,
      "created_at": "<string>",
      "description": "<string>",
      "display_name": "<string>",
      "favourites_count": 123,
      "followers_count": 123,
      "followings_count": 123,
      "id": "<string>",
      "location": "<string>",
      "media_count": 123,
      "pinned_tweet_ids": [
        "<string>"
      ],
      "possibly_sensitive": true,
      "profile_background_image_url": "<string>",
      "profile_image_url": "<string>",
      "protected": true,
      "tweets_count": 123,
      "username": "<string>",
      "verified": true
    },
    "view_count": 123
  }
}

Authorizations

ApiKey
string
header
required

Query Parameters

tweet_link, user_handle or user_id required

user_handle
string

tweet_link, user_handle or user_id required

user_id
string

tweet_link, user_handle or user_id required

Response

OK

commented
boolean
tweet
object